package cn.wise.sc.acquisition.business.service;

import cn.wise.sc.acquisition.business.entity.TProcessesBlastdesignHole;
import cn.wise.sc.acquisition.business.model.query.TProcessesBlastdesignHoleQuery;
import cn.wise.sc.acquisition.business.wrapper.page.Query;
import com.baomidou.mybatisplus.extension.api.R;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author renchao
 * @since 2021-04-27
 */
public interface ITProcessesBlastdesignHoleService extends IService<TProcessesBlastdesignHole> {

    R getPage(TProcessesBlastdesignHoleQuery tProcessesBlastdesignHoleQuery, Query query);

    R updateByUid(TProcessesBlastdesignHoleQuery query);

    R updateByBlastHoleID(TProcessesBlastdesignHoleQuery query);

    R deleteByUid(TProcessesBlastdesignHoleQuery query);

    R insertTProcessesBlastdesignHole(TProcessesBlastdesignHoleQuery query);

    R getByUid(TProcessesBlastdesignHoleQuery query);

    R getByBlastHoleID(TProcessesBlastdesignHoleQuery query);
}
